package com.bonus.core.order.android.dto;

import com.bonus.core.order.common.constants.OrderPhotoTypeEnum;
import io.swagger.annotations.ApiModelProperty;

public class MacOrderImageSaveDTO {
   @ApiModelProperty("订单id")
   private String macOrderId;
   @ApiModelProperty("图片地址")
   private String imgUrl;
   @ApiModelProperty("图片类型：1-人脸，2-菜品")
   private Integer imgType;

   public MacOrderImageSaveDTO() {
      this.imgType = OrderPhotoTypeEnum.DISHES.getKey();
   }

   public String getMacOrderId() {
      return this.macOrderId;
   }

   public String getImgUrl() {
      return this.imgUrl;
   }

   public Integer getImgType() {
      return this.imgType;
   }

   public void setMacOrderId(final String macOrderId) {
      this.macOrderId = macOrderId;
   }

   public void setImgUrl(final String imgUrl) {
      this.imgUrl = imgUrl;
   }

   public void setImgType(final Integer imgType) {
      this.imgType = imgType;
   }

}
